Gamers Beware: Nvidia Fixes High-Severity GeForce Experience Bug

Versions of GeForce Experience for Windows before 3.18 are open to a bug that can allow denial of service and remote code execution.

This post appeared first on ThreatPost – The First Stop for Security News
Author: Lindsey O’Donnell